Skip to main content
GET
Query transactions using filters

Headers

x-api-key
string
required

API authentication key

Example:

"your-x-api-key"

x-api-token
string
required

API authentication token

Example:

"your-x-api-token"

Query Parameters

initialDate
string<date>

Filter initial date (yyyy‑MM‑dd)

Example:

"2018-01-01"

finalDate
string<date>

Filter final date (yyyy‑MM‑dd)

Example:

"2019-01-11"

currency
string

ISO‑4217 currency code

Maximum string length: 3
Example:

"BRL"

amount
number<double>

Transaction amount

Example:

206.9

referenceCode
string

Merchant internal order identification

Maximum string length: 50
Example:

"refcode12345"

situation
enum<string>

Transaction status

Available options:
PENDING,
CANCELLED,
PAID
Example:

"PAID"

type
enum<string>

Transaction type

Available options:
SALE,
REFUND,
WITHDRAW
Example:

"SALE"

maxPageResults
integer

Maximum results per page

Example:

100

page
integer

Page number (1‑based)

Example:

1

queryMode
enum<string>

Query mode:

  • CREATION – only transactions created within the period
  • PROCESSED – only transactions processed within the period
  • REGULAR – all transactions created and/or processed within the period (default)
  • RECONTILIATION – transactions accounted within the period
Available options:
CREATION,
PROCESSED,
REGULAR,
RECONTILIATION
Example:

"REGULAR"

Response

success response

status
number

Response status code (0 = success, -1 = validation failure)

Example:

0

message
string

Response status message

Example:

"success"

totalElements
number

Total number of transactions matching the filters

Example:

2

totalPages
number

Total number of pages available

Example:

1

resultSize
number

Number of records returned in this page

Example:

2

result
object[]

List of transactions